Package org.bukkit.event.player

# Enum Class PlayerRespawnEvent.RespawnFlag

java.lang.Object
java.lang.Enum<PlayerRespawnEvent.RespawnFlag>
org.bukkit.event.player.PlayerRespawnEvent.RespawnFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerRespawnEvent.RespawnFlag>`, `Constable`

Enclosing class:
  PlayerRespawnEvent

public static enum PlayerRespawnEvent.RespawnFlag extends Enum<PlayerRespawnEvent.RespawnFlag>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANCHOR_SPAWN`
Will use the respawn anchor location
`BED_SPAWN`
Will use the bed spawn location
`END_PORTAL`
Is caused by going to the end portal in the end.

## Method Summary

Modifier and Type
Method
Description
`static PlayerRespawnEvent.RespawnFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerRespawnEvent.RespawnFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BED_SPAWN

public static final PlayerRespawnEvent.RespawnFlag BED_SPAWN
Will use the bed spawn location

### ANCHOR_SPAWN

public static final PlayerRespawnEvent.RespawnFlag ANCHOR_SPAWN
Will use the respawn anchor location

### END_PORTAL

public static final PlayerRespawnEvent.RespawnFlag END_PORTAL
Is caused by going to the end portal in the end.

## Method Details

### values

public static PlayerRespawnEvent.RespawnFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerRespawnEvent.RespawnFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null